=== debian/changelog ===
ros-rolling-cv-bridge (3.0.2-2focal) focal; urgency=high

  * Minor cleanups to the ROS 2 branch (#418 <https://github.com/ros-perception/vision_opencv/issues/418>)
  * Find Python3 if not on Android (#423 <https://github.com/ros-perception/vision_opencv/issues/423>)
  * Forward ports from noetic (#420 <https://github.com/ros-perception/vision_opencv/issues/420>)
    * Add header arg to cv2_to_imgmsg (#326 <https://github.com/ros-perception/vision_opencv/issues/326>)
    * prevent conversion of single channel 16bit integer images to/from colour (#412 <https://github.com/ros-perception/vision_opencv/issues/412>)
  * Contributors: Chris Lalancette, Christian Rauch, Michael Carroll, Naoya Yamaguchi, Shane Loretz

 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 27 Jan 2022 06:00:00 -0000

ros-rolling-cv-bridge (3.0.1-2focal) focal; urgency=high

  * Use Boost::python3 if Boost < 1.67 (#422 <https://github.com/ros-perception/vision_opencv/issues/422>)
  * Use Boost::pythonXY target (#421 <https://github.com/ros-perception/vision_opencv/issues/421>)
  * Contributors: Shane Loretz

 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 25 Jan 2022 06:00:00 -0000

ros-rolling-cv-bridge (3.0.0-2focal) focal; urgency=high

  * Export Modern CMake targets and install includes to another folder(#419 <https://github.com/ros-perception/vision_opencv/issues/419>)
  * Handle padded img msg in Python (#400 <https://github.com/ros-perception/vision_opencv/issues/400>)
  * Remove boost endian (#399 <https://github.com/ros-perception/vision_opencv/issues/399>)
  * Add conversions from YUV422 YUY2 (#396 <https://github.com/ros-perception/vision_opencv/issues/396>)
  * fix endianness comparison (#397 <https://github.com/ros-perception/vision_opencv/issues/397>)
  * Export sensor_msgs dependency (#392 <https://github.com/ros-perception/vision_opencv/issues/392>)
  * Fix multiple undefined references (#370 <https://github.com/ros-perception/vision_opencv/issues/370>)
  * Updated cv_bridge.dll install location. (#356 <https://github.com/ros-perception/vision_opencv/issues/356>)
  * Contributors: Homalozoa X, Jacob Perron, Patrick Musau, Sean Yen, Shane Loretz

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 19 Jan 2022 06:00:00 -0000

ros-rolling-cv-bridge (2.2.1-2focal) focal; urgency=high

  * Align module.hpp with noetic (#342 <https://github.com/ros-perception/vision_opencv/issues/342>)
  * Contributors: Michael Carroll

 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 16 Jul 2020 05:00:00 -0000

ros-rolling-cv-bridge (2.2.0-2focal) focal; urgency=high

  * Disable portable image tests (#337 <https://github.com/ros-perception/vision_opencv/issues/337>)
  * use more specific boost rosdep keys (#319 <https://github.com/ros-perception/vision_opencv/issues/319>)
  * add opencv4 into the dependency list for ROS2 (#324 <https://github.com/ros-perception/vision_opencv/issues/324>)
  * Corrected the typo of Boost_INCLUDE_DIRS (#315 <https://github.com/ros-perception/vision_opencv/issues/315>)
  * use target include directories (#313 <https://github.com/ros-perception/vision_opencv/issues/313>)
  * Contributors: Karsten Knese, Lewis Liu, Michael Carroll, Mikael Arguedas, Sean Yen

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 27 May 2020 05:00:00 -0000

ros-rolling-cv-bridge (2.1.3-2focal) focal; urgency=high

  * populate array.array directly instead of converting to and from a string (#305 <https://github.com/ros-perception/vision_opencv/issues/305>)
  * include Boost to fix Windows build (#290 <https://github.com/ros-perception/vision_opencv/issues/290>)
  * Export interfaces for Win32 Shared Lib (#301 <https://github.com/ros-perception/vision_opencv/issues/301>)
  * Contributors: Dirk Thomas, Jonathan Noyola, Sean Yen

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 23 Oct 2019 05:00:00 -0000

ros-rolling-cv-bridge (2.1.2-2focal) focal; urgency=high

  * Suppress Boost Python warning. (#279 <https://github.com/ros-perception/vision_opencv/issues/279>)
  * silence unused return value warnings (#276 <https://github.com/ros-perception/vision_opencv/issues/276>)
  * Contributors: Karsten Knese, Michael Carroll

 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 30 May 2019 05:00:00 -0000

ros-rolling-cv-bridge (2.1.1-2focal) focal; urgency=high

  * Replace ament commands with colcon (#263 <https://github.com/ros-perception/vision_opencv/issues/263>)
    Latest ros2 repo does not include ament_tools. Executing ament command results in error.
  * Contributors: Lalit Begani

 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 26 Apr 2019 05:00:00 -0000

ros-rolling-cv-bridge (2.1.0-2focal) focal; urgency=high

  * find boost_python on boost 1.58 (<1.65) (#246 <https://github.com/ros-perception/vision_opencv/issues/246>)
  * Contributors: Mikael Arguedas

 -- Ethan Gao <ethan.gao@linux.intel.com>  Mon, 26 Nov 2018 06:00:00 -0000

ros-rolling-cv-bridge (2.0.5-2focal) focal; urgency=high

  * remove redundant ament_auto_lint dependency to release package
  * fix test_encode_decode_cv2_compressed runtime error with JPEG2000
  * change python3-numpy as build and execution dependency to fix building
    error while releasing package
  * Contributor: Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 17 Aug 2018 05:00:00 -0000

ros-rolling-cv-bridge (2.0.4-2focal) focal; urgency=high

  * Add libopencv-dev as dependency of cv_bridge
  * Replace assert_equal with assert to remove dependency to nose package
  * Contributor: Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 14 Aug 2018 05:00:00 -0000

ros-rolling-cv-bridge (2.0.3-2focal) focal; urgency=high

  * fix the build warning with colcon building
  * optimize buffer type of imgmsg_to_cv2()
  * add python3_opencv and python3_numpy as dependency
  * uncrustify 0.67 coding style alignment
  * Contributors: Mikael Arguedas, Lars Berscheid, Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 07 Aug 2018 05:00:00 -0000


