## ros-rolling-cv-bridge 3.4.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
 # add library
-add_library(${PROJECT_NAME} cv_bridge.cpp rgb_colors.cpp)
+add_library(${PROJECT_NAME}
+  cv_bridge.cpp
+  cv_mat_sensor_msgs_image_type_adapter.cpp
+  rgb_colors.cpp
+)
 include(GenerateExportHeader)
 generate_export_header(${PROJECT_NAME} EXPORT_FILE_NAME ${PROJECT_NAME}/${PROJECT_NAME}_export.h)
 target_include_directories(${PROJECT_NAME} PUBLIC
@@ -10,9 +14,12 @@
   ${sensor_msgs_TARGETS}
   opencv_core
   opencv_imgproc
-  opencv_imgcodecs)
+  opencv_imgcodecs
+  rclcpp::rclcpp
+)
 target_link_libraries(${PROJECT_NAME} PRIVATE
-  Boost::headers)
+  Boost::headers
+  rcpputils::rcpputils)
 
 install(TARGETS ${PROJECT_NAME} EXPORT export_${PROJECT_NAME}
   ARCHIVE DESTINATION lib
@@ -25,7 +32,7 @@
   DESTINATION include/${PROJECT_NAME}/${PROJECT_NAME})
 
 if(NOT ANDROID)
-  Python3_add_library(${PROJECT_NAME}_boost MODULE module.cpp module_opencv3.cpp)
+  Python3_add_library(${PROJECT_NAME}_boost MODULE module.cpp module_opencv4.cpp)
   target_link_libraries(${PROJECT_NAME}_boost PRIVATE
     ${PROJECT_NAME}
     ${boost_python_target}
